<?php


/**
 * This class adds structure of 'katao_invoice' table to 'propel' DatabaseMap object.
 *
 *
 *
 * These statically-built map classes are used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    lib.model.map
 */
class KataoInvoiceMapBuilder {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'lib.model.map.KataoInvoiceMapBuilder';

	/**
	 * The database map.
	 */
	private $dbMap;

	/**
	 * Tells us if this DatabaseMapBuilder is built so that we
	 * don't have to re-build it every time.
	 *
	 * @return     boolean true if this DatabaseMapBuilder is built, false otherwise.
	 */
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	/**
	 * Gets the databasemap this map builder built.
	 *
	 * @return     the databasemap
	 */
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	/**
	 * The doBuild() method builds the DatabaseMap
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('katao_invoice');
		$tMap->setPhpName('KataoInvoice');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('KATAO_MEMBER_ID', 'KataoMemberId', 'int', CreoleTypes::INTEGER, 'katao_member', 'ID', true, null);

		$tMap->addForeignKey('KATAO_PERIOD_ID', 'KataoPeriodId', 'int', CreoleTypes::INTEGER, 'katao_period', 'ID', true, null);

		$tMap->addForeignKey('KATAO_NODE_ID', 'KataoNodeId', 'int', CreoleTypes::INTEGER, 'katao_node', 'ID', true, null);

		$tMap->addForeignKey('KATAO_CART_ID', 'KataoCartId', 'int', CreoleTypes::INTEGER, 'katao_cart', 'ID', false, null);

		$tMap->addColumn('STATUS', 'Status', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('MEMBER_FIRST_NAME', 'MemberFirstName', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('MEMBER_LAST_NAME', 'MemberLastName', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('MEMBER_EMAIL', 'MemberEmail', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('MEMBER_ADDRESS1', 'MemberAddress1', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('MEMBER_ADDRESS2', 'MemberAddress2', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('MEMBER_ZIP', 'MemberZip', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('MEMBER_CITY', 'MemberCity', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('KATAO_NAME', 'KataoName', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('KATAO_ADDRESS', 'KataoAddress', 'string', CreoleTypes::LONGVARCHAR, false, null);

		$tMap->addColumn('KATAO_SIRET_NUMBER', 'KataoSiretNumber', 'string', CreoleTypes::CHAR, true, 14);

		$tMap->addColumn('KATAO_RCS_NUMBER', 'KataoRcsNumber', 'string', CreoleTypes::VARCHAR, true, 255);

		$tMap->addColumn('KATAO_CAPITAL', 'KataoCapital', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('SOL_AMOUNT', 'SolAmount', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

	} // doBuild()

} // KataoInvoiceMapBuilder
